API Explorer 1 endpoints

Create Retail Customer

POST /obp/v7.0.0/banks/BANK_ID/retail-customers

OBPv6.0.0-createRetailCustomer Roles: CanCreateCustomer(per bank),CanCreateCustomerAtAnyBank Retail-CustomerCustomer

Create a retail (individual) customer.

This endpoint is specifically for creating individual/retail customers. The customer_type will be automatically set to INDIVIDUAL.

Required Fields (2)
- legal_name
The customer's full legal name
- mobile_phone_number
The customer's mobile phone number
Optional Fields (7)
- customer_number
If not provided, a random number will be generated
Date Format
**
date_of_birth and dob_of_dependants must be in ISO 8601 date format
**YYYY-MM-DD**
Validations
**
- customer_number cannot contain `
:::` characters
URL Parameters
**
BANK_ID
gh.29.uk
  • email, face_image, date_of_birth, relationship_status, dependants, dob_of_dependants
  • credit_rating, credit_limit, highest_education_attained, employment_status
  • kyc_status, last_ok_date, title, branch_id, name_suffix
  • customer_number must be unique for the bank
  • The number of dependants must equal the length of the dob_of_dependants array Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (24)
amount
10.12
currency
EUR
date
2020-01-27
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
rating
source
url
http://www.example.com/id-docs/123/image.png
branch_id
DERBY6
credit_limit
credit_rating
customer_number
5987953
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
name_suffix
Sr
relationship_status
single
title
Dr.
JSON response body fields (28)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
customer_type
INDIVIDUAL
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name_suffix
Sr
parent_customer_id
rating
relationship_status
single
source
title
Dr.
url
http://www.example.com/id-docs/123/image.png
credit_limit
credit_rating
Example request body
{
  "legal_name": "Eveline Tripman",
  "customer_number": "5987953",
  "mobile_phone_number": "+49 30 901820",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr"
}
Example success response
{
  "bank_id": "gh.29.uk",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_type": "INDIVIDUAL",
  "parent_customer_id": ""
}
Possible errors (11)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-10020: Incorrect json.
  • OBP-10005: Invalid Date Format. Could not convert value to a Date.
  • OBP-30006: Customer Number already exists. Please specify a different value for BANK_ID or CUSTOMER_NUMBER.
  • OBP-20005: User not found. Please specify a valid value for USER_ID.
  • OBP-30007: The User is already linked to a Customer at the bank specified by BANK_ID
  • OBP-30024: Could not create Consumer
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 createRetailCustomer Originally /obp/v6.0.0/banks/BANK_ID/retail-customers